Bug 93512 - Non-modal dialogs automatically open on startup if LO is closed when they are open
Summary: Non-modal dialogs automatically open on startup if LO is closed when they are...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 113675 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-08-18 13:39 UTC by Yousuf Philips (jay) (retired)
Modified: 2021-02-25 04:09 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-08-18 13:39:57 UTC
As mentioned in bug 93102, if LO crashes while the contour editor is open, the contour editor will automatically reopen the next time Writer is launched.

Steps:
1) Open Writer
2) Insert an image
3) Context Menu > Wrap > Edit Contour
4) Cause libreoffice to crash (e.g. xkill on linux)
5) Reopen Writer and notice the contour editor will open automatically

Version: 5.1.0.0.alpha1+
Build ID: 78a11f79d8eb5cd1d2b18c288852dec7e3d57a21
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-08-10_05:59:19
Locale: en-US (en_US.UTF-8)
Comment 1 Julien Nabet 2015-08-19 09:46:28 UTC
Following http://cgit.freedesktop.org/libreoffice/core/commit/?id=8aff239993e803ece4a8de6102f5dd57b89133fd which fixes tdf#93102, do you reproduce this with a more recent LO version?
Comment 2 Yousuf Philips (jay) (retired) 2015-08-19 15:30:54 UTC
Hi Julien,

This bug is inherited from OOo, so the fix to stop the editor from crashing due to the vclptr work didnt deal with this issue, which is why i'm submitting it as a second bug report. :D

Version: 5.1.0.0.alpha1+
Build ID: 5d6ef74eea5d73b8cd17f313ad87138d56dc76ce
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-08-18_01:28:44
Locale: en-US (en_US.UTF-8)
Comment 3 Maxim Monastirsky 2015-08-19 15:39:57 UTC
You can see this behavior with *any* non-modal dialog in LO. If you leave it open when closing LO, it will open the next time you open LO. It seems like something intentional, although I can't think right now of any case where it could be useful.
Comment 4 Yousuf Philips (jay) (retired) 2015-08-19 16:52:20 UTC
Setting to NEW as Maxim confirmed it. :D

(In reply to Maxim Monastirsky from comment #3)
> You can see this behavior with *any* non-modal dialog in LO. If you leave it
> open when closing LO, it will open the next time you open LO.

Doesnt happen with the hyperlink dialog, but does happen with insert index entry dialog.
Comment 5 Maxim Monastirsky 2015-08-20 06:59:32 UTC
(In reply to Yousuf (Jay) Philips from comment #4)
> Doesnt happen with the hyperlink dialog
BTW it had the same behavior in 4.3, but apparently changed by someone for 4.4.
Comment 6 Yousuf Philips (jay) (retired) 2015-08-21 06:02:20 UTC
This has a very bad effect that if you close the dialog and it causes a crash (eg. bug 93188) and then you reopen the module the dialog is shown again and you are stuck in an infinite crash loop, as i am currently with impress.
Comment 7 QA Administrators 2016-09-20 10:26:07 UTC Comment hidden (obsolete)
Comment 8 Maxim Monastirsky 2017-11-06 22:36:15 UTC
*** Bug 113675 has been marked as a duplicate of this bug. ***
Comment 9 QA Administrators 2018-11-07 04:01:45 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2021-02-25 04:09:26 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug